cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"data": [
{
"timestampUnix": 1791912002,
"ptApyWeighted": 0.07304241591535097,
"syApyWeighted": 0.029619458166677937,
"tradingFeeApy": 0.00013849691610690051,
"farmRewardsApy": 1.2801107787688633,
"totalApy": 0.10280037099813581
},
{
"timestampUnix": 1791922803,
"ptApyWeighted": 0.0659623547893718,
"syApyWeighted": 0.033329689693163723,
"tradingFeeApy": 0.0001886713186933786,
"farmRewardsApy": 1.0581888013199099,
"totalApy": 0.09948071580122891
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
History
CLMM LP yield history
Retrieve the historical components of CLMM liquidity APY.
GET
/
clmm
/
{address}
/
historical
/
liquidity-apy
/
chart-data
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"data": [
{
"timestampUnix": 1791912002,
"ptApyWeighted": 0.07304241591535097,
"syApyWeighted": 0.029619458166677937,
"tradingFeeApy": 0.00013849691610690051,
"farmRewardsApy": 1.2801107787688633,
"totalApy": 0.10280037099813581
},
{
"timestampUnix": 1791922803,
"ptApyWeighted": 0.0659623547893718,
"syApyWeighted": 0.033329689693163723,
"tradingFeeApy": 0.0001886713186933786,
"farmRewardsApy": 1.0581888013199099,
"totalApy": 0.09948071580122891
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
Query parameters
number
Unix seconds. Default: 24 hours before now.
number
Unix seconds. Default: now.
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy/chart-data");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"data": [
{
"timestampUnix": 1791912002,
"ptApyWeighted": 0.07304241591535097,
"syApyWeighted": 0.029619458166677937,
"tradingFeeApy": 0.00013849691610690051,
"farmRewardsApy": 1.2801107787688633,
"totalApy": 0.10280037099813581
},
{
"timestampUnix": 1791922803,
"ptApyWeighted": 0.0659623547893718,
"syApyWeighted": 0.033329689693163723,
"tradingFeeApy": 0.0001886713186933786,
"farmRewardsApy": 1.0581888013199099,
"totalApy": 0.09948071580122891
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}